## org.red5.io
Class FileKeyFrameMetaCache

    java.lang.Object
      org.red5.io.FileKeyFrameMetaCache

All Implemented Interfaces:
  IKeyFrameMetaCache

Direct Known Subclasses:
  CachingFileKeyFrameMetaCache

    public class FileKeyFrameMetaCache

extends Object
implements IKeyFrameMetaCache

File-based keyframe metadata cache.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Constructor Summary
`FileKeyFrameMetaCache()`

Method Summary
`IKeyFrameDataAnalyzer.KeyFrameMeta` `loadKeyFrameMeta(File file)` Load keyframe informations for the given file.
`void` `saveKeyFrameMeta(File file, IKeyFrameDataAnalyzer.KeyFrameMeta meta)` Store keyframe informations for the given file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileKeyFrameMetaCache

    public FileKeyFrameMetaCache()

Method Detail

### loadKeyFrameMeta

    public IKeyFrameDataAnalyzer.KeyFrameMeta loadKeyFrameMeta(File file)

  Load keyframe informations for the given file.

  Specified by:
    `loadKeyFrameMeta` in interface `IKeyFrameMetaCache`
  Parameters:
    `file` - File to load informations for.
  Returns:
    The keyframe informations or `null` if none exist.

### saveKeyFrameMeta

    public void saveKeyFrameMeta(File file,
                                 IKeyFrameDataAnalyzer.KeyFrameMeta meta)

  Store keyframe informations for the given file.

  Specified by:
    `saveKeyFrameMeta` in interface `IKeyFrameMetaCache`
  Parameters:
    `file` - File to save informations for.
    `meta` - Keyframe informations for this file.

Copyright © 2006-2010 The Red5 Project